### Method

# GObject Value peek_pointer

#### Declaration

    gpointer
    g_value_peek_pointer (
      const GValue* value
    )

#### Description

Returns the value contents as pointer. This function asserts that `g_value_fits_pointer()` returned `TRUE` for the passed in value. This is an internal function introduced mainly for C marshallers.

#### Return value

Type: `gpointer`

The value contents as pointer.

The returned data is owned by the instance.
The return value can be `NULL`.